unit Odbctype;

interface

function GetFuncName( fno : integer) : string;

type
SQLINTEGER = longint;
SQLUINTEGER = longint;
{SQLUINTEGERptr = ^SQLUINTEGER;}
SQLHENV = SQLINTEGER;
SQLUSMALLINT = WORD;
{SQLUSMALLINTptr = ^SQLUSMALLINT;}
SQLPOINTER = Pchar; {Changed }
SQLHWND = WORD;
SQLHDBC = SQLINTEGER;
SQLHSTMT = SQLINTEGER;
{SQLSMALLINT = integer;}
SQLSMALLINT = smallint;
{SQLINTEGERptr = ^SQLINTEGER;}
{SQLSMALLINTptr = ^SQLSMALLINT;}
//SQLRETURN = SQLSMALLINT;
SQLRETURN = shortint;
{SQLHENVptr = ^SQLHENV;
SQLHDBCptr = ^SQLHDBC;
SQLHSTMTptr = ^SQLHSTMT;}
SQLCHAR = char;
SQLCHARptr = pchar;

const
fSQLAllocEnv = 1;
fSQLFreeEnv = 2;
fSQLAllocConnect = 3;
fSQLFreeConnect = 4;
fSQLAllocStmt = 5;
fSQLFreeStmt = 6;
fSQLConnect = 7;
fSQLDisconnect = 8;
fSQLGetTypeInfo = 9;
fSQLGetFunctions = 10;
fSQLBindCol = 11;
fSQLTables = 12;
fSQLError = 13;
fSQLFetch = 14;
fSQLDescribeCol = 15;
fSQLNumResultCol = 16;
fSQLGetInfo = 17;
fSQLTransact = 18;
fSQLGetConnectOption = 19;
fSQLSetConnectOption = 20;
fSQLDriverConnect = 21;
fSQLColumns = 22;
fSQLSpecialColumns = 23;
fSQLColAttributes = 24;
fSQLStatistics = 25;
fSQLSetStmtOption = 26;
fSQLGetStmtOption = 27;
fSQLExecDirect = 28;
fSQLRowCount = 29;
fSQLCancel = 30;
fSQLGetData = 31;


{Misc Constants used }
SQL_CURRENT_QUALIFIER = 109;
SQL_OPT_TRACEFILE = 105;
SQL_TRANSLATE_DLL = 106;


{Getinfo values}
SQL_DATA_SOURCE_NAME           =      2;
SQL_FETCH_DIRECTION            =      8;
SQL_SERVER_NAME                =     13;
SQL_SEARCH_PATTERN_ESCAPE      =     14;
SQL_DATABASE_NAME              =     16;
SQL_DBMS_NAME                  =     17;
SQL_DBMS_VER                   =     18;
SQL_ACCESSIBLE_TABLES          =     19;
SQL_ACCESSIBLE_PROCEDURES      =     20;
SQL_CURSOR_COMMIT_BEHAVIOR     =     23;
SQL_DATA_SOURCE_READ_ONLY      =     25;
SQL_DEFAULT_TXN_ISOLATION      =     26;
SQL_IDENTIFIER_CASE            =     28;
SQL_IDENTIFIER_QUOTE_CHAR      =     29;
SQL_MAX_COLUMN_NAME_LEN        =     30;
SQL_MAX_CURSOR_NAME_LEN        =     31;
SQL_MAX_SCHEMA_NAME_LEN        =     32;
SQL_MAX_CATALOG_NAME_LEN       =     34;
SQL_MAX_TABLE_NAME_LEN         =     35;
SQL_SCROLL_CONCURRENCY         =     43;
SQL_TXN_CAPABLE                =     46;
SQL_USER_NAME                  =     47;
SQL_TXN_ISOLATION_OPTION       =     72;
SQL_INTEGRITY                  =    73;
SQL_GETDATA_EXTENSIONS         =    81;
SQL_NULL_COLLATION             =    85;
SQL_ALTER_TABLE                =    86;
SQL_ORDER_BY_COLUMNS_IN_SELECT =    90;
SQL_SPECIAL_CHARACTERS         =    94;
SQL_MAX_COLUMNS_IN_GROUP_BY    =    97;
SQL_MAX_COLUMNS_IN_INDEX       =    98;
SQL_MAX_COLUMNS_IN_ORDER_BY    =    99;
SQL_MAX_COLUMNS_IN_SELECT      =   100;
SQL_MAX_COLUMNS_IN_TABLE       =   101;
SQL_MAX_INDEX_SIZE             =   102;
SQL_MAX_ROW_SIZE               =   104;
SQL_MAX_STATEMENT_LEN          =   105;
SQL_MAX_TABLES_IN_SELECT       =   106;
SQL_MAX_USER_NAME_LEN          =   107;
SQL_INFO_FIRST                 =     0 ;
SQL_ACTIVE_CONNECTIONS         =     0 ;
SQL_ACTIVE_STATEMENTS          =     1 ;
SQL_DRIVER_HDBC                =     3 ;
SQL_DRIVER_HENV                =     4 ;
SQL_DRIVER_HSTMT               =     5 ;
SQL_DRIVER_NAME                =     6 ;
SQL_DRIVER_VER                 =     7 ;
SQL_ODBC_API_CONFORMANCE       =     9 ;
SQL_ODBC_VER                   =    10 ;
SQL_ROW_UPDATES                =    11 ;
SQL_ODBC_SAG_CLI_CONFORMANCE   =    12 ;
SQL_ODBC_SQL_CONFORMANCE       =    15 ;
SQL_PROCEDURES                 =    21 ;
SQL_CONCAT_NULL_BEHAVIOR       =    22 ;
SQL_CURSOR_ROLLBACK_BEHAVIOR   =    24 ;
SQL_EXPRESSIONS_IN_ORDERBY     =    27 ;
SQL_MAX_OWNER_NAME_LEN         =    32 ;
SQL_MAX_PROCEDURE_NAME_LEN     =    33 ;
SQL_MAX_QUALIFIER_NAME_LEN     =    34 ;
SQL_MULT_RESULT_SETS           =    36 ;
SQL_MULTIPLE_ACTIVE_TXN        =    37 ;
SQL_OUTER_JOINS                =    38 ;
SQL_OWNER_TERM                 =    39 ;
SQL_PROCEDURE_TERM             =    40 ;
SQL_QUALIFIER_NAME_SEPARATOR   =    41 ;
SQL_QUALIFIER_TERM             =    42 ;
SQL_SCROLL_OPTIONS             =    44 ;
SQL_TABLE_TERM                 =    45 ;
SQL_CONVERT_FUNCTIONS          =    48 ;
SQL_NUMERIC_FUNCTIONS          =    49 ;
SQL_STRING_FUNCTIONS           =    50 ;
SQL_SYSTEM_FUNCTIONS           =    51 ;
SQL_TIMEDATE_FUNCTIONS         =    52 ;
SQL_CONVERT_BIGINT             =    53 ;
SQL_CONVERT_BINARY             =    54 ;
SQL_CONVERT_BIT                =    55 ;
SQL_CONVERT_CHAR               =    56 ;
SQL_CONVERT_DATE               =    57 ;
SQL_CONVERT_DECIMAL            =    58 ;
SQL_CONVERT_DOUBLE             =    59 ;
SQL_CONVERT_FLOAT              =    60 ;
SQL_CONVERT_INTEGER            =    61 ;
SQL_CONVERT_LONGVARCHAR        =    62 ;
SQL_CONVERT_NUMERIC            =    63 ;
SQL_CONVERT_REAL               =    64 ;
SQL_CONVERT_SMALLINT           =    65 ;
SQL_CONVERT_TIME               =    66 ;
SQL_CONVERT_TIMESTAMP          =    67 ;
SQL_CONVERT_TINYINT            =    68 ;
SQL_CONVERT_VARBINARY          =    69 ;
SQL_CONVERT_VARCHAR            =    70 ;
SQL_CONVERT_LONGVARBINARY      =    71 ;
SQL_ODBC_SQL_OPT_IEF           =    73 ;
SQL_CORRELATION_NAME           =    74 ;
SQL_NON_NULLABLE_COLUMNS       =    75 ;
SQL_DRIVER_HLIB                =    76 ;
SQL_DRIVER_ODBC_VER            =    77 ;
SQL_LOCK_TYPES                 =    78 ;
SQL_POS_OPERATIONS             =    79 ;
SQL_POSITIONED_STATEMENTS      =    80 ;
SQL_BOOKMARK_PERSISTENCE       =    82 ;
SQL_STATIC_SENSITIVITY         =    83 ;
SQL_FILE_USAGE                 =    84 ;
SQL_COLUMN_ALIAS               =    87 ;
SQL_GROUP_BY                   =    88 ;
SQL_KEYWORDS                   =    89 ;
SQL_OWNER_USAGE                =    91 ;
SQL_QUALIFIER_USAGE            =    92 ;
SQL_QUOTED_IDENTIFIER_CASE     =    93 ;
SQL_SUBQUERIES                 =    95 ;
SQL_UNION                      =    96 ;
SQL_MAX_ROW_SIZE_INCLUDES_LONG =    103;
SQL_MAX_CHAR_LITERAL_LEN       =    108;
SQL_TIMEDATE_ADD_INTERVALS     =    109;
SQL_TIMEDATE_DIFF_INTERVALS    =    110;
SQL_NEED_LONG_DATA_LEN         =    111;
SQL_MAX_BINARY_LITERAL_LEN     =    112;
SQL_LIKE_ESCAPE_CLAUSE         =    113;
SQL_QUALIFIER_LOCATION         =    114;

{ EnvAttrs}

SQL_ATTR_ODBC_VERSION          =    200;
SQL_OV_ODBC3                   =    3;



var

funcnames : array [1..31] of string ;



implementation

function GetFuncName( fno : integer) : string;
begin


Result := FuncNames[fno];

end;

initialization
begin
funcnames[01] := 'SQLAllocEnv       ';
funcnames[02] := 'SQLFreeEnv        ';
funcnames[03] := 'SQLAllocConnect   ';
funcnames[04] := 'SQLFreeConnect    ';
funcnames[05] := 'SQLAllocStmt      ';
funcnames[06] := 'SQLFreeStmt       ';
funcnames[07] := 'SQLConnect        ';
funcnames[08] := 'SQLDisconnect     ';
funcnames[09] := 'SQLGetTypeInfo    ';
funcnames[10] := 'SQLGetFunctions   ';
funcnames[11] := 'SQLBindCol        ';
funcnames[12] := 'SQLTables         ';
funcnames[13] := 'SQLError          ';
funcnames[14] := 'SQLFetch          ';
funcnames[15] := 'SQLDescribeCol    ';
funcnames[16] := 'SQLNumResultCol   ';
funcnames[17] := 'SQLGetInfo        ';
funcnames[18] := 'SQLTransact       ';
funcnames[19] := 'SQLGetConnectOption';
funcnames[20] := 'SQLSetConnectOption';
funcnames[21] := 'SQLDriverConnect  ';
funcnames[22] := 'SQLColumns        ';
funcnames[23] := 'SQLSpecialColumns ';
funcnames[24] := 'SQLColAttributes  ';
funcnames[25] := 'SQLStatistics     ';
funcnames[26] := 'SQLSetStmtOption  ';
funcnames[27] := 'SQLGetStmtOption  ';
funcnames[28] := 'SQLExecDirect     ';
funcnames[29] := 'SQLRowCount       ';
funcnames[30] := 'SQLCancel         ';
funcnames[31] := 'SQLGetData        ';

end;
end.
