
unit Odbc_api;

interface

Uses WinTypes, WinProcs, sysUtils, Classes, Messages, odbctype;
{
type
SQLINTEGER = longint;
SQLUINTEGER = longint;
SQLHENV = SQLINTEGER;
SQLUSMALLINT = WORD;
SQLPOINTER = pointer;
SQLHWND = WORD;
SQLHDBC = SQLINTEGER;
SQLHSTMT = SQLINTEGER;
SQLSMALLINT = integer;
SQLRETURN = SQLSMALLINT;
SQLCHAR = char;
SQLCHARptr = pchar;
}
function SQLAllocEnv(var EnvironmentHandle : SQLHENV ) : SQLRETURN ;  far;

function SQLAllocHandle(HandleType : SQLINTEGER ;
InputHandle : SQLHENV;
var EnvironmentHandle : SQLHENV ) : SQLRETURN ;
far;

function  SQLSetEnvAttr(EnvironmentHandle : SQLHENV;
	Attribute : SQLINTEGER; ValuePtr : SQLPOINTER;
        StringLength : SQLINTEGER): SQLRETURN; far;




function SQLAllocConnect(EnvironmentHandle : SQLHENV ;
         var ConnectionHandle : SQLHDBC) : SQLRETURN ;far;
function SQLConnect(ConnectionHandle : SQLHDBC ;
                    ServerName : SQLCHARptr ; NameLength1 : SQLSMALLINT;
                    UserName : SQLCHARptr ; NameLength2 : SQLSMALLINT;
                    Authentication : SQLCHARptr ; NameLength3 : SQLSMALLINT
         ) : SQLRETURN ; far;
 function SQLAllocStmt(ConnectionHandle : SQLHDBC;
                           var StatementHandle : SQLHSTMT) : SQLRETURN;
                           far;

function SQLDisconnect(ConnectionHandle : SQLHDBC) : SQLRETURN ;far;
function SQLFreeConnect(ConnectionHandle : SQLHDBC) : SQLRETURN ;far;
function SQLFreeEnv(EnvironmentHandle : SQLHENV) : SQLRETURN ;far;
function SQLGetInfo(ConnectionHandle : SQLHDBC;
         Infotype :SQLUSMALLINT; Infovalue : SQLPOINTER;
         BufferLen : SQLSMALLINT; var stringlen : SQLSMALLINT) : SQLRETURN;
         far;
function SQLError(EnvironmentHandle : SQLHENV ;
                   ConnectionHandle : SQLHDBC;
                   StatmentHandle : SQLHSTMT;
                   SQLState : SQLCHARptr;
                   var NativeError : SQLINTEGER;
                   MessageText : SQLCHARptr;
                   BufferLen : SQLSMALLINT;
                   var TextLen : SQLSMALLINT) : SQLRETURN ;far;
 function SQLDriverConnect(hdbc : SQLHDBC; hwnd : SQLHWND;
                          Cstr : SQLCHARptr; Cstrin : SQLSMALLINT;
                          Cstrout : SQLCHARptr; Cstroutmax : SMALLINT;
                          var Cstroutlen : SQLSMALLINT;
                          DriverCompletion : SQLUSMALLINT) : SQLRETURN;
                          far;
 function SQLSetConnectOption(ConnectionHandle : SQLHDBC;
                             Option : SQLUSMALLINT;
                             Value : SQLUINTEGER):SQLRETURN; far;

function SQLBindCol(StatementHandle : SQLHSTMT;
                    ColumnNumber : SQLUSMALLINT;
                    TargetType : SQLSMALLINT;
                    TargetValue : SQLPOINTER;
                    BufferLen : SQLINTEGER;
                    var StrLen_or_Ind : SQLINTEGER)
                    : SQLRETURN; far;
function SQLCancel(StatementHandle : SQLHSTMT) : SQLRETURN ;
         far;
function SQLColAttributes(StatementHandle : SQLHSTMT;
                          ColumnNumber : SQLUSMALLINT;
                          FieldIdentifier : SQLUSMALLINT;
                          CharacterAttribute : SQLPOINTER;
                          BufferLength : SQLSMALLINT;
                          var StringLength : SQLSMALLINT;
                          NumericAttribute : SQLPOINTER) : SQLRETURN; far;


function SQLDescribeCol(StatementHandle : SQLHSTMT;
                        ColumnNumber : SQLUSMALLINT;
                        ColumnName : SQLCHARptr;
                        BufferLength : SQLSMALLINT;
                        var NameLength : SQLSMALLINT;
                        var Datatype : SQLSMALLINT;
                        var ColumnSize : SQLUINTEGER;
                        var DecimalDigit : SQLSMALLINT;
                        var Nullable : SQLSMALLINT)
                        : SQLRETURN;far;


function SQLFetch(StatementHandle : SQLHSTMT): SQLRETURN ; far;

function SQLFreeStmt(StatementHandle : SQLHSTMT;
                     Option : SQLUSMALLINT) : SQLRETURN ; far ;


function SQLTables(StatementHandle : SQLHSTMT; CatalogName : SQLCHARptr;
                   NameLength1 : SQLSMALLINT; SchemaName : SQLCHARptr;
                   NameLength2 : SQLSMALLINT; TableName : SQLCHARptr;
                   NameLength3 : SQLSMALLINT; TableType : SQLCHARptr;
                   NameLength4 : SQLSMALLINT) :
                   SQLRETURN; far;

function SQLGetTypeInfo(StatementHandle : SQLHSTMT ;
                        DataType : SQLSMALLINT) : SQLRETURN;far;
function SQLExecDirect(StatementHandle : SQLHSTMT;
                       StatementText : SQLCHARptr;
                       TextLength : SQLINTEGER) : SQLRETURN ; far;

function SQLExecute(StatementHandle : SQLHSTMT) : SQLRETURN ;far;

function SQLGetCursorName(StatementHandle : SQLHSTMT;
                          CursorName : SQLCHARptr;
                          BufferLength : SQLSMALLINT;
                          var NameLength : SQLSMALLINT) : SQLRETURN;far;

function SQLNumResultCols(StatementHandle : SQLHSTMT ;
                           var ColumnCount : SQLSMALLINT) : SQLRETURN;far;

function SQLPrepare(StatementHandle : SQLHSTMT;
                       StatementText : SQLCHARptr;
                       TextLength : SQLINTEGER) : SQLRETURN ;far;


function SQLRowCount(StatementHandle : SQLHSTMT ;
                     var RowCount : SQLINTEGER) : SQLRETURN;far;


function SQLSetCursorName(StatementHandle : SQLHSTMT;
                          CursorName : SQLCHARptr;
                          NameLength : SQLSMALLINT): SQLRETURN ;far;

function SQLSetParam(StatementHandle : SQLHSTMT;
                    ParameterNumber : SQLUSMALLINT;
                    ValueType : SQLSMALLINT;
                    ParameterType : SQLSMALLINT;
                    LengthPrecision : SQLUINTEGER;
                    ParameterScale : SQLSMALLINT;
                    ParameterValue : SQLPOINTER;
                    var StrLen_or_Ind : SQLINTEGER) : SQLRETURN ;far;

function SQLTransact(EnvironmentHandle : SQLHENV;
                     ConnectionHandle : SQLHDBC;
                     CompletionType : SQLUSMALLINT): SQLRETURN ;far;


function SQLColumns(StatementHandle : SQLHSTMT; CatalogName : SQLCHARptr;
                   NameLength1 : SQLSMALLINT; SchemaName : SQLCHARptr;
                   NameLength2 : SQLSMALLINT; TableName : SQLCHARptr;
                   NameLength3 : SQLSMALLINT; ColumnName : SQLCHARptr;
                   NameLength4 : SQLSMALLINT) :
                   SQLRETURN; far;
function SQLSpecialColumns(StatementHandle : SQLHSTMT;
           IdentifierType : SQLUSMALLINT; CatalogName : SQLCHARptr;
           NameLength1 : SQLSMALLINT ; SchemaName : SQLCHARptr;
           NameLength2 : SQLSMALLINT ; TableName : SQLCHARptr;
           NameLength3 : SQLSMALLINT ; Scope : SQLUSMALLINT;
           Nullable : SQLUSMALLINT) : SQLRETURN ;far;

function SQLSetStmtOption (StatementHandle : SQLHSTMT;
                           Option : SQLUSMALLINT ;
                           Value : SQLUINTEGER): SQLRETURN ;far;

function SQLGetFunctions(ConnectionHandle : SQLHDBC;
                         FunctionId : SQLUSMALLINT;
                         Supported : SQLPOINTER) : SQLRETURN;far;

function SQLGetConnectOption (ConnectionHandle : SQLHDBC;
                              Option : SQLUSMALLINT;
                              Value : SQLPOINTER)  : SQLRETURN ; far;


function SQLGetData(StatementHandle : SQLHSTMT;
                    ColumnNumber : SQLUSMALLINT;
                    TargetType : SQLUSMALLINT;
                    TargetValue : SQLPOINTER;
                    BufferLength : SQLINTEGER;
                    var StrLen_or_Ind : SQLINTEGER) : SQLRETURN;far;

function SQLGetStmtOption(StatementHandle : SQLHSTMT;
                          Option : SQLUSMALLINT;
                          Value : SQLPOINTER) : SQLRETURN;far;

function SQLParamData(StatementHandle : SQLHSTMT ;
                      Value : SQLPOINTER ) : SQLRETURN;far;

function SQLPutData(StatementHandle : SQLHSTMT;
                    Data : SQLPOINTER;
                    StrLen_or_Ind : SQLINTEGER) : SQLRETURN;far;

function SQLStatistics(StatementHandle : SQLHSTMT;
                       CatalogName : SQLCHARptr ;
                       NameLength1 : SQLSMALLINT;
                       SchemaName : SQLCHARptr;
                       NameLength2 : SQLSMALLINT;
                       TableName  : SQLCHARptr;
                       NameLength3 : SQLSMALLINT;
                       Unique : SQLUSMALLINT;
                       Reserved : SQLUSMALLINT) : SQLRETURN;far;

{=================== Level 2 API ====================}

function  SQLExtendedFetch(hstmt         : SQLHSTMT;
                           fFetchType   : SQLUSMALLINT;
                           iRow         : SQLINTEGER;
                           var pcrow        : SQLUINTEGER;
                           var rgfRowStatus : SQLUSMALLINT) : SQLRETURN;
                           far;

function  SQLMoreResults(hstmt : SQLHSTMT): SQLRETURN; far;


function  SQLNativeSQL(hdbc          : SQLHDBC;
                       szSqlStrIn    : SQLCHARptr;
                       cbSqlStrIn    : SQLINTEGER;
                       szSqlStr      : SQLCHARptr;
                       cbSqlStrMax   : SQLINTEGER;
                       var pcbSqlStr : SQLINTEGER) : SQLRETURN;far;

function  SQLNumParams(hstmt : SQLHSTMT ; var pcpar : SQLSMALLINT)
                                     : SQLRETURN;far;

function  SQLProcedures(hstmt           : SQLHSTMT;
                        szCatalogName   : SQLCHARptr;
                        cbCatalogName   : SQLSMALLINT;
                        szSchemaName    : SQLCHARptr;
                        cbSchemaName    : SQLSMALLINT;
                        szProcName      : SQLCHARptr;
                        cbProcName      : SQLSMALLINT)
                        : SQLRETURN;far;



function  SQLPrimaryKeys(hstmt         : SQLHSTMT;
                         szCatalogName : SQLCHARptr;
                         cbCatalogName : SQLSMALLINT;
                         szSchemaName  : SQLCHARptr;
                         cbSchemaName  : SQLSMALLINT;
                         szTableName   : SQLCHARptr;
                         cbTableName   : SQLSMALLINT): SQLRETURN;far;


function  SQLSetScrollOptions(hstmt         : SQLHSTMT;
                              fConcurrency  : SQLUSMALLINT;
                              crowKeyset    : SQLINTEGER;
                              crowRowset    : SQLSMALLINT)
                              : SQLRETURN;far;

function  SQLTablePrivileges(hstmt         : SQLHSTMT;
                             szCatalogName : SQLCHARptr;
                             cbCatalogName : SQLSMALLINT;
                             szSchemaName  : SQLCHARptr;
                             cbSchemaName  : SQLSMALLINT;
                             szTableName   : SQLCHARptr;
                             cbTableName   : SQLSMALLINT)
                               : SQLRETURN;far;

{================== SetUp Functions =================}
function ConfigDSN(hwndParent : hwnd; fRequest : WORD;
                   const lpszDriver : Pchar;
                   const lpszAttributes : PChar) : BOOL ;far;




implementation


function XSQLAllocEnv(var EnvironmentHandle : SQLHENV ) : SQLRETURN ;
far;stdcall;external 'ODBC32' name 'SQLAllocEnv';

function XSQLAllocHandle(HandleType : SQLSMALLINT ;
InputHandle : SQLHENV;
var EnvironmentHandle : SQLHENV ) : SQLRETURN ;
far;stdcall;external 'ODBC32' name 'SQLAllocHandle';

function  XSQLSetEnvAttr(EnvironmentHandle : SQLHENV;
	Attribute : SQLINTEGER; ValuePtr : SQLPOINTER;
        StringLength : SQLINTEGER) : SQLRETURN ; far;stdcall;
        external 'ODBC32' name 'SQLSetEnvAttr';



function XSQLAllocConnect(EnvironmentHandle : SQLHENV ;
         var ConnectionHandle : SQLHDBC) : SQLRETURN ;
far ;stdcall; external 'ODBC32' name 'SQLAllocConnect';

function XSQLConnect(ConnectionHandle : SQLHDBC ;
                    ServerName : SQLCHARptr ; NameLength1 : SQLSMALLINT;
                    UserName : SQLCHARptr ; NameLength2 : SQLSMALLINT;
                    Authentication : SQLCHARptr ; NameLength3 : SQLSMALLINT
         ) : SQLRETURN ;
far ; stdcall ; external 'ODBC32' name 'SQLConnect';

function XSQLDisconnect(ConnectionHandle : SQLHDBC) : SQLRETURN ;
far ; stdcall ; external 'ODBC32' name 'SQLDisconnect';
function XSQLFreeConnect(ConnectionHandle : SQLHDBC) : SQLRETURN ;
far ; stdcall ; external 'ODBC32' name 'SQLFreeConnect';
function XSQLFreeEnv(EnvironmentHandle : SQLHENV) : SQLRETURN ;
far ; stdcall ; external 'ODBC32' name 'SQLFreeEnv';
function XSQLGetInfo(ConnectionHandle : SQLHDBC;
         Infotype :SQLUSMALLINT; Infovalue : SQLPOINTER;
         BufferLen : SQLSMALLINT; var stringlen : SQLSMALLINT) :
         SQLRETURN ; far ; stdcall ; external 'ODBC32' name 'SQLGetInfo';

function XSQLError(EnvironmentHandle : SQLHENV ;
                   ConnectionHandle : SQLHDBC;
                   StatmentHandle : SQLHSTMT;
                   SQLState : SQLCHARptr;
                   var NativeError : SQLINTEGER;
                   MessageText : SQLCHARptr;
                   BufferLen : SQLSMALLINT;
                   var TextLen : SQLSMALLINT) : SQLRETURN ;
                   far; stdcall; external 'ODBC32' name 'SQLError';

 function XSQLDriverConnect(hdbc : SQLHDBC; hwnd : SQLHWND;
                          Cstr : SQLCHARptr; Cstrin : SQLSMALLINT;
                          Cstrout : SQLCHARptr; Cstroutmax : SMALLINT;
                          var Cstroutlen : SQLSMALLINT;
                          DriverCompletion : SQLUSMALLINT) : SQLRETURN;
                          far;stdcall; external 'ODBC32' name
                          'SQLDriverConnect';
function XSQLSetConnectOption(ConnectionHandle : SQLHDBC;
                             Option : SQLUSMALLINT;
                             Value : SQLUINTEGER):SQLRETURN;
                             far;stdcall;external 'ODBC32'
                             name 'SQLSetConnectOption';
function XSQLAllocStmt(ConnectionHandle : SQLHDBC;
                           var StatementHandle : SQLHSTMT) : SQLRETURN;
                           far;stdcall;external 'ODBC32'
                           name 'SQLAllocStmt';

function XSQLBindCol(StatementHandle : SQLHSTMT;
                    ColumnNumber : SQLUSMALLINT;
                    TargetType : SQLSMALLINT;
                    TargetValue : SQLPOINTER;
                    BufferLen : SQLINTEGER;
                    var StrLen_or_Ind : SQLINTEGER)
                    : SQLRETURN; far;stdcall;external 'ODBC32' name 'SQLBindCol';

function XSQLCancel(StatementHandle : SQLHSTMT) : SQLRETURN ;
         far; stdcall;external 'ODBC32' name 'SQLCancel';

function XSQLColAttributes(StatementHandle : SQLHSTMT;
                          ColumnNumber : SQLUSMALLINT;
                          FieldIdentifier : SQLUSMALLINT;
                          CharacterAttribute : SQLPOINTER;
                          BufferLength : SQLSMALLINT;
                          var StringLength : SQLSMALLINT;
                          NumericAttribute : SQLPOINTER) : SQLRETURN;
                          far; stdcall;external 'ODBC32' name
                          'SQLColAttributes';
function XSQLDescribeCol(StatementHandle : SQLHSTMT;
                        ColumnNumber : SQLUSMALLINT;
                        ColumnName : SQLCHARptr;
                        BufferLength : SQLSMALLINT;
                        var NameLength : SQLSMALLINT;
                        var Datatype : SQLSMALLINT;
                        var ColumnSize : SQLUINTEGER;
                        var DecimalDigit : SQLSMALLINT;
                        var Nulllable : SQLSMALLINT)
                        : SQLRETURN; far;stdcall;external 'ODBC32' name
                        'SQLDescribeCol';

 function XSQLFetch(StatementHandle : SQLHSTMT): SQLRETURN ;far;stdcall;
                   external 'ODBC32' name 'SQLFetch';

function XSQLFreeStmt(StatementHandle : SQLHSTMT;
                     Option : SQLUSMALLINT) : SQLRETURN ; far ; stdcall ;
                     external 'ODBC32' name 'SQLFreeStmt';

function XSQLTables(StatementHandle : SQLHSTMT; CatalogName : SQLCHARptr;
                   NameLength1 : SQLSMALLINT; SchemaName : SQLCHARptr;
                   NameLength2 : SQLSMALLINT; TableName : SQLCHARptr;
                   NameLength3 : SQLSMALLINT; TableType : SQLCHARptr;
                   NameLength4 : SQLSMALLINT) :
                   SQLRETURN; far;stdcall;external 'ODBC32' name
                   'SQLTables';
function XSQLGetTypeInfo(StatementHandle : SQLHSTMT ;
                        DataType : SQLSMALLINT) : SQLRETURN;
                        far;stdcall;external 'ODBC32' name 'SQLGetTypeInfo';
function XSQLExecDirect(StatementHandle : SQLHSTMT;
                       StatementText : SQLCHARptr;
                       TextLength : SQLINTEGER) : SQLRETURN ; far;stdcall;
                       external 'ODBC32' name 'SQLExecDirect';

 function XSQLExecute(StatementHandle : SQLHSTMT) : SQLRETURN ;far;stdcall;
                    external 'ODBC32' name 'SQLExecute';

function XSQLGetCursorName(StatementHandle : SQLHSTMT;
                          CursorName : SQLCHARptr;
                          BufferLength : SQLSMALLINT;
                          var NameLength : SQLSMALLINT) : SQLRETURN;
                          far;stdcall;external 'ODBC32'
                          name 'SQLGetCursorName';

function XSQLNumResultCols(StatementHandle : SQLHSTMT ;
                           var ColumnCount : SQLSMALLINT) : SQLRETURN;
                           far;stdcall;external 'ODBC32' name
                           'SQLNumResultCols';

function XSQLPrepare(StatementHandle : SQLHSTMT;
                       StatementText : SQLCHARptr;
                       TextLength : SQLINTEGER) : SQLRETURN ;
                        far;stdcall;external 'ODBC32' name
                        'SQLPrepare';

function XSQLRowCount(StatementHandle : SQLHSTMT ;
                     var RowCount : SQLINTEGER) : SQLRETURN;
                     far;stdcall;external 'ODBC32' name
                     'SQLRowCount';

function XSQLSetCursorName(StatementHandle : SQLHSTMT;
                          CursorName : SQLCHARptr;
                          NameLength : SQLSMALLINT): SQLRETURN ;
                           far;stdcall;external 'ODBC32' name
                          'SQLSetCursorName';

function XSQLSetParam(StatementHandle : SQLHSTMT;
                    ParameterNumber : SQLUSMALLINT;
                    ValueType : SQLSMALLINT;
                    ParameterType : SQLSMALLINT;
                    LengthPrecision : SQLUINTEGER;
                    ParameterScale : SQLSMALLINT;
                    ParameterValue : SQLPOINTER;
                    var StrLen_or_Ind : SQLINTEGER) : SQLRETURN ;
                    far;stdcall;external 'ODBC32' name
                    'SQLSetParam';

function XSQLTransact(EnvironmentHandle : SQLHENV;
                     ConnectionHandle : SQLHDBC;
                     CompletionType : SQLUSMALLINT): SQLRETURN ;far;stdcall;
                     external 'ODBC32' name 'SQLTransact';

function XSQLColumns(StatementHandle : SQLHSTMT; CatalogName : SQLCHARptr;
                   NameLength1 : SQLSMALLINT; SchemaName : SQLCHARptr;
                   NameLength2 : SQLSMALLINT; TableName : SQLCHARptr;
                   NameLength3 : SQLSMALLINT; ColumnName : SQLCHARptr;
                   NameLength4 : SQLSMALLINT) :
                   SQLRETURN;far;stdcall;
                   external 'ODBC32' name 'SQLColumns' ;
 function XSQLSpecialColumns(StatementHandle : SQLHSTMT;
           IdentifierType : SQLUSMALLINT; CatalogName : SQLCHARptr;
           NameLength1 : SQLSMALLINT ; SchemaName : SQLCHARptr;
           NameLength2 : SQLSMALLINT ; TableName : SQLCHARptr;
           NameLength3 : SQLSMALLINT ; Scope : SQLUSMALLINT;
           Nullable : SQLUSMALLINT) : SQLRETURN ;
           far;stdcall;external 'ODBC32' name 'SQLSpecialColumns' ;

function XSQLSetStmtOption (StatementHandle : SQLHSTMT;
                           Option : SQLUSMALLINT ;
                           Value : SQLUINTEGER): SQLRETURN ;
         far;stdcall;external 'ODBC32' name 'SQLSetStmtOption';

function XSQLGetFunctions(ConnectionHandle : SQLHDBC;
                         FunctionId : SQLUSMALLINT;
                         Supported : SQLPOINTER) : SQLRETURN;
          far;stdcall;external 'ODBC32' name 'SQLGetFunctions';



function XSQLGetConnectOption (ConnectionHandle : SQLHDBC;
                              Option : SQLUSMALLINT;
                              Value : SQLPOINTER)  : SQLRETURN ;
          far;stdcall;external 'ODBC32' name 'SQLGetConnectOption';


function XSQLGetData(StatementHandle : SQLHSTMT;
                    ColumnNumber : SQLUSMALLINT;
                    TargetType : SQLUSMALLINT;
                    TargetValue : SQLPOINTER;
                    BufferLength : SQLINTEGER;
                    var StrLen_or_Ind : SQLINTEGER) : SQLRETURN;
                    far;stdcall;external 'ODBC32' name 'SQLGetData';


function XSQLGetStmtOption(StatementHandle : SQLHSTMT;
                          Option : SQLUSMALLINT;
                          Value : SQLPOINTER) : SQLRETURN; far;stdcall;
          external 'ODBC32' name 'SQLGetStmtOption';

function XSQLParamData(StatementHandle : SQLHSTMT ;
                      Value : SQLPOINTER ) : SQLRETURN;far;stdcall;
                      external 'ODBC32' name 'SQLParamData';

 function XSQLPutData(StatementHandle : SQLHSTMT;
                    Data : SQLPOINTER;
                    StrLen_or_Ind : SQLINTEGER) : SQLRETURN;far;stdcall;
                    external 'ODBC32' name 'SQLPutData';

function XSQLStatistics(StatementHandle : SQLHSTMT;
                       CatalogName : SQLCHARptr ;
                       NameLength1 : SQLSMALLINT;
                       SchemaName : SQLCHARptr;
                       NameLength2 : SQLSMALLINT;
                       TableName  : SQLCHARptr;
                       NameLength3 : SQLSMALLINT;
                       Unique : SQLUSMALLINT;
                       Reserved : SQLUSMALLINT) : SQLRETURN;far;stdcall;
                       external 'ODBC32' name 'SQLStatistics';
{==================== Level 2 API Imported Functions =============}

function XSQLExtendedFetch(hstmt        : SQLHSTMT;
                           fFetchType   : SQLUSMALLINT;
                           iRow         : SQLINTEGER;
                           var pcrow        : SQLUINTEGER;
                           var rgfRowStatus : SQLUSMALLINT) : SQLRETURN;
                           far;stdcall;external 'ODBC32' name
                           'SQLExtendedFetch';

function XSQLMoreResults(hstmt : SQLHSTMT): SQLRETURN; far;stdcall;
                           external 'ODBC32' name 'SQLMoreResults';


function XSQLNativeSQL(hdbc          : SQLHDBC;
                       szSqlStrIn    : SQLCHARptr;
                       cbSqlStrIn    : SQLINTEGER;
                       szSqlStr      : SQLCHARptr;
                       cbSqlStrMax   : SQLINTEGER;
                       var pcbSqlStr : SQLINTEGER) : SQLRETURN;far;stdcall;
                       external 'ODBC32' name 'SQLNativeSQL';


function XSQLNumParams(hstmt : SQLHSTMT ; var pcpar : SQLSMALLINT)
                                     : SQLRETURN;far;stdcall;
                    external 'ODBC32' name 'SQLNumParams';

function XSQLProcedures(hstmt           : SQLHSTMT;
                        szCatalogName   : SQLCHARptr;
                        cbCatalogName   : SQLSMALLINT;
                        szSchemaName    : SQLCHARptr;
                        cbSchemaName    : SQLSMALLINT;
                        szProcName      : SQLCHARptr;
                        cbProcName      : SQLSMALLINT)
                        : SQLRETURN;far;stdcall;external 'ODBC32' name
                        'SQLProcedures';

function XSQLPrimaryKeys(hstmt         : SQLHSTMT;
                         szCatalogName : SQLCHARptr;
                         cbCatalogName : SQLSMALLINT;
                         szSchemaName  : SQLCHARptr;
                         cbSchemaName  : SQLSMALLINT;
                         szTableName   : SQLCHARptr;
                         cbTableName   : SQLSMALLINT): SQLRETURN;far;
                         stdcall;
                         external 'ODBC32' name
                         'SQLPrimaryKeys';


function XSQLSetScrollOptions(hstmt         : SQLHSTMT;
                              fConcurrency  : SQLUSMALLINT;
                              crowKeyset    : SQLINTEGER;
                              crowRowset    : SQLSMALLINT)
                              : SQLRETURN;far;stdcall;
                              external 'ODBC32' name
                              'SQLSetSrollOptions';

function XSQLTablePrivileges(hstmt         : SQLHSTMT;
                             szCatalogName : SQLCHARptr;
                             cbCatalogName : SQLSMALLINT;
                             szSchemaName  : SQLCHARptr;
                             cbSchemaName  : SQLSMALLINT;
                             szTableName   : SQLCHARptr;
                             cbTableName   : SQLSMALLINT)
                             : SQLRETURN;far;stdcall;
                              external 'ODBC32' name
                              'SQLTablePrivileges';









{==================== SetUp Imported Functions ===================}
function XConfigDSN(hwndParent : hwnd; fRequest : WORD;
                   const lpszDriver : Pchar;
                   const lpszAttributes : PChar) : BOOL ;far;stdcall;
                   external 'ODBC32' name 'ConfigDSN';




{--------------------- SQL Pass thru functions -------------------------}

function SQLAllocEnv(var EnvironmentHandle : SQLHENV ) : SQLRETURN ;
begin
     Result := XSQLAllocEnv(EnvironmentHandle);
end;



function SQLAllocHandle(HandleType : SQLINTEGER ;
InputHandle : SQLHENV;
var EnvironmentHandle : SQLHENV ) : SQLRETURN ;
begin
 Result :=  XSQLAllocHandle(HandleType,InputHandle,EnvironmentHandle);
end;

function  SQLSetEnvAttr(EnvironmentHandle : SQLHENV;
	Attribute : SQLINTEGER; ValuePtr : SQLPOINTER;
        StringLength : SQLINTEGER): SQLRETURN ;
begin

     Result := XSQLSetEnvAttr(EnvironmentHandle,Attribute,ValuePtr,
                   StringLength);

end;








function SQLAllocConnect(EnvironmentHandle : SQLHENV ;
         var ConnectionHandle : SQLHDBC) : SQLRETURN ;
begin
         Result := XSQLAllocConnect(EnvironmentHandle,ConnectionHandle);
end;

function SQLAllocStmt(ConnectionHandle : SQLHDBC;
                           var StatementHandle : SQLHSTMT) : SQLRETURN;
begin

         Result := XSQLAllocStmt(ConnectionHandle,StatementHandle);

end;


function SQLConnect(ConnectionHandle : SQLHDBC ;
                    ServerName : SQLCHARptr ; NameLength1 : SQLSMALLINT;
                    UserName : SQLCHARptr ; NameLength2 : SQLSMALLINT;
                    Authentication : SQLCHARptr ; NameLength3 : SQLSMALLINT
         ) : SQLRETURN ;
begin
         Result := XSQLConnect(ConnectionHandle,
                               ServerName,NameLength1,
                               UserName,NameLength2,
                               Authentication,NameLength3);
end;

function SQLDisconnect(ConnectionHandle : SQLHDBC) : SQLRETURN ;
begin
         Result := XSQLDisconnect(ConnectionHandle);
end;

function SQLFreeConnect(ConnectionHandle : SQLHDBC) : SQLRETURN ;
begin
         Result := XSQlFreeConnect(ConnectionHandle);
end;

function SQLFreeEnv(EnvironmentHandle : SQLHENV) : SQLRETURN ;
begin
         Result := XSQLFreeEnv(EnvironmentHandle);
end;


function SQLGetInfo(ConnectionHandle : SQLHDBC;
         Infotype :SQLUSMALLINT; Infovalue : SQLPOINTER;
         BufferLen : SQLSMALLINT; var stringlen : SQLSMALLINT) :
         SQLRETURN ;
begin
         Result := XSQLGetInfo(ConnectionHandle,Infotype,Infovalue,
                               BufferLen,StringLen);
end;


function SQLError(EnvironmentHandle : SQLHENV ;
                   ConnectionHandle : SQLHDBC;
                   StatmentHandle : SQLHSTMT;
                   SQLState : SQLCHARptr;
                   var NativeError : SQLINTEGER;
                   MessageText : SQLCHARptr;
                   BufferLen : SQLSMALLINT;
                   var TextLen : SQLSMALLINT) : SQLRETURN ;
begin
     Result := XSQLError(EnvironmentHandle,ConnectionHandle,
                         StatmentHandle,SQLState,NativeError,
                         MessageText,BufferLen,TextLen);
end;
function SQLDriverConnect(hdbc : SQLHDBC; hwnd : SQLHWND;
                          Cstr : SQLCHARptr; Cstrin : SQLSMALLINT;
                          Cstrout : SQLCHARptr; Cstroutmax : SMALLINT;
                          var Cstroutlen : SQLSMALLINT;
                          DriverCompletion : SQLUSMALLINT) : SQLRETURN;

begin

        Result :=
        XSQLDriverConnect(hdbc,hwnd,Cstr,Cstrin,Cstrout,Cstroutmax,
                          Cstroutlen,DriverCompletion);

end;
function SQLSetConnectOption(ConnectionHandle : SQLHDBC;
                             Option : SQLUSMALLINT;
                             Value : SQLUINTEGER):SQLRETURN;
begin
     Result := XSQLSetConnectOption(ConnectionHandle,Option,Value);

end;


function SQLBindCol(StatementHandle : SQLHSTMT;
                    ColumnNumber : SQLUSMALLINT;
                    TargetType : SQLSMALLINT;
                    TargetValue : SQLPOINTER;
                    BufferLen : SQLINTEGER;
                    var StrLen_or_Ind : SQLINTEGER)
                    : SQLRETURN;
begin

     Result := XSQLBindCol(StatementHandle,ColumnNumber,TargetType,
                           TargetValue,BufferLen,StrLen_or_Ind);
end;

function SQLCancel(StatementHandle : SQLHSTMT) : SQLRETURN ;
begin
         Result := XSQLCancel(StatementHandle);
end;

function SQLColAttributes(StatementHandle : SQLHSTMT;
                          ColumnNumber : SQLUSMALLINT;
                          FieldIdentifier : SQLUSMALLINT;
                          CharacterAttribute : SQLPOINTER;
                          BufferLength : SQLSMALLINT;
                          var StringLength : SQLSMALLINT;
                          NumericAttribute : SQLPOINTER) : SQLRETURN;

begin
                 Result :=
                XSQLColAttributes(StatementHandle,ColumnNumber,
                                FieldIdentifier,CharacterAttribute,
                                BufferLength,StringLength,
                                NumericAttribute);
end;
function SQLDescribeCol(StatementHandle : SQLHSTMT;
                        ColumnNumber : SQLUSMALLINT;
                        ColumnName : SQLCHARptr;
                        BufferLength : SQLSMALLINT;
                        var NameLength : SQLSMALLINT;
                        var Datatype : SQLSMALLINT;
                        var ColumnSize : SQLUINTEGER;
                        var DecimalDigit : SQLSMALLINT;
                        var Nullable : SQLSMALLINT)
                        : SQLRETURN;
begin
               Result :=
               XSQLDescribeCol(StatementHandle,ColumnNumber,ColumnName,
                        BufferLength,NameLength,Datatype,ColumnSize,
                        DecimalDigit,Nullable);

end;


function SQLFetch(StatementHandle : SQLHSTMT): SQLRETURN ;
begin

         Result := XSQLFetch(StatementHandle);
end;

function SQLFreeStmt(StatementHandle : SQLHSTMT;
                     Option : SQLUSMALLINT) : SQLRETURN ;
begin

                Result := XSQLFreeStmt(StatementHandle,Option);
end;

function SQLTables(StatementHandle : SQLHSTMT; CatalogName : SQLCHARptr;
                   NameLength1 : SQLSMALLINT; SchemaName : SQLCHARptr;
                   NameLength2 : SQLSMALLINT; TableName : SQLCHARptr;
                   NameLength3 : SQLSMALLINT; TableType : SQLCHARptr;
                   NameLength4 : SQLSMALLINT) :
                   SQLRETURN;
begin
         Result := XSQLTables(StatementHandle,CatalogName,NameLength1,
                   SchemaName,NameLength2,TableName,NameLength3,
                   TableType,NameLength4);

end;

function SQLGetTypeInfo(StatementHandle : SQLHSTMT ;
                        DataType : SQLSMALLINT) : SQLRETURN;
begin
          Result := XSQLGetTypeInfo(StatementHandle,DataType);

end;

function SQLExecDirect(StatementHandle : SQLHSTMT;
                       StatementText : SQLCHARptr;
                       TextLength : SQLINTEGER) : SQLRETURN;
begin

         Result := XSQLExecDirect(StatementHandle,StatementText,
                   TextLength);
end;

function SQLExecute(StatementHandle : SQLHSTMT) : SQLRETURN ;
begin
         Result := XSQLExecute(StatementHandle);
end;

function SQLGetCursorName(StatementHandle : SQLHSTMT;
                          CursorName : SQLCHARptr;
                          BufferLength : SQLSMALLINT;
                          var NameLength : SQLSMALLINT) : SQLRETURN;
begin
         Result := XSQLGetCursorName(StatementHandle,CursorName,
                   BufferLength,NameLength);
end;

function SQLNumResultCols(StatementHandle : SQLHSTMT ;
                           var ColumnCount : SQLSMALLINT) : SQLRETURN;
begin
        Result := XSQLNumResultCols(StatementHandle,ColumnCount);
end;


function SQLPrepare(StatementHandle : SQLHSTMT;
                       StatementText : SQLCHARptr;
                       TextLength : SQLINTEGER) : SQLRETURN ;
begin

         Result := XSQLPrepare(StatementHandle,StatementText,
                               TextLength);
end;


function SQLRowCount(StatementHandle : SQLHSTMT ;
                     var RowCount : SQLINTEGER) : SQLRETURN;
begin
      Result := XSQLRowCount(StatementHandle,RowCount);
end;
function SQLSetCursorName(StatementHandle : SQLHSTMT;
                          CursorName : SQLCHARptr;
                          NameLength : SQLSMALLINT): SQLRETURN ;
begin
     Result := XSQLSetCursorName(StatementHandle,CursorName,
                                      NameLength);
end;

function SQLSetParam(StatementHandle : SQLHSTMT;
                    ParameterNumber : SQLUSMALLINT;
                    ValueType : SQLSMALLINT;
                    ParameterType : SQLSMALLINT;
                    LengthPrecision : SQLUINTEGER;
                    ParameterScale : SQLSMALLINT;
                    ParameterValue : SQLPOINTER;
                    var StrLen_or_Ind : SQLINTEGER) : SQLRETURN ;
begin

     Result := XSQLSetParam(StatementHandle,ParameterNumber,
                    ValueType,ParameterType,LengthPrecision,
                    ParameterScale,ParameterValue,
                    StrLen_or_Ind);

end;
function SQLTransact(EnvironmentHandle : SQLHENV;
                     ConnectionHandle : SQLHDBC;
                     CompletionType : SQLUSMALLINT): SQLRETURN ;
begin
          Result := XSQLTransact(EnvironmentHandle,ConnectionHandle,
                                CompletionType);
end;

function SQLColumns(StatementHandle : SQLHSTMT; CatalogName : SQLCHARptr;
                   NameLength1 : SQLSMALLINT; SchemaName : SQLCHARptr;
                   NameLength2 : SQLSMALLINT; TableName : SQLCHARptr;
                   NameLength3 : SQLSMALLINT; ColumnName : SQLCHARptr;
                   NameLength4 : SQLSMALLINT) :
                   SQLRETURN;
begin

     Result := XSQLColumns(StatementHandle,CatalogName,NameLength1,
                          SchemaName,NameLength2,TableName,NameLength3,
                           ColumnName,NameLength4);

end;

function SQLSpecialColumns(StatementHandle : SQLHSTMT;
           IdentifierType : SQLUSMALLINT; CatalogName : SQLCHARptr;
           NameLength1 : SQLSMALLINT ; SchemaName : SQLCHARptr;
           NameLength2 : SQLSMALLINT ; TableName : SQLCHARptr;
           NameLength3 : SQLSMALLINT ; Scope : SQLUSMALLINT;
           Nullable : SQLUSMALLINT) : SQLRETURN ;
begin

     Result := XSQLSpecialColumns(StatementHandle,IdentifierType,
               CatalogName,NameLength1,SchemaName,NameLength2,
               TableName,NameLength3,Scope,Nullable);


end;
function SQLSetStmtOption (StatementHandle : SQLHSTMT;
                           Option : SQLUSMALLINT ;
                           Value : SQLUINTEGER): SQLRETURN ;
begin

     Result := XSQLSetStmtOption(StatementHandle,Option,Value);
end;

function SQLGetFunctions(ConnectionHandle : SQLHDBC;
                         FunctionId : SQLUSMALLINT;
                         Supported : SQLPOINTER) : SQLRETURN;
begin

     Result := XSQLGetFunctions(ConnectionHandle,FunctionId,Supported);
end;


function SQLGetConnectOption (ConnectionHandle : SQLHDBC;
                              Option : SQLUSMALLINT;
                              Value : SQLPOINTER)  : SQLRETURN ;
begin


     Result := XSQLGetConnectOption(ConnectionHandle,Option,Value);
end;

function SQLGetData(StatementHandle : SQLHSTMT;
                    ColumnNumber : SQLUSMALLINT;
                    TargetType : SQLUSMALLINT;
                    TargetValue : SQLPOINTER;
                    BufferLength : SQLINTEGER;
                    var StrLen_or_Ind : SQLINTEGER) : SQLRETURN;
begin

     Result := XSQLGetData(StatementHandle,ColumnNumber,TargetType,
                          TargetValue,BufferLength,StrLen_or_Ind);

end;

function SQLGetStmtOption(StatementHandle : SQLHSTMT;
                          Option : SQLUSMALLINT;
                          Value : SQLPOINTER) : SQLRETURN;
begin

    Result := XSQLGetStmtOption(StatementHandle,Option,Value);

end;


function SQLParamData(StatementHandle : SQLHSTMT ;
                      Value : SQLPOINTER ) : SQLRETURN;
begin

     Result := XSQLparamData(StatementHandle,Value);
end;

function SQLPutData(StatementHandle : SQLHSTMT;
                    Data : SQLPOINTER;
                    StrLen_or_Ind : SQLINTEGER) : SQLRETURN;
begin

     Result := XSQLPutData(StatementHandle,Data,StrLen_or_Ind);
end;


function SQLStatistics(StatementHandle : SQLHSTMT;
                       CatalogName : SQLCHARptr ;
                       NameLength1 : SQLSMALLINT;
                       SchemaName : SQLCHARptr;
                       NameLength2 : SQLSMALLINT;
                       TableName  : SQLCHARptr;
                       NameLength3 : SQLSMALLINT;
                       Unique : SQLUSMALLINT;
                       Reserved : SQLUSMALLINT) : SQLRETURN;
begin

        Result := XSQLStatistics(StatementHandle,CatalogName,
                  NameLength1,Schemaname,NameLength2,
                  TableName,NameLength3,Unique,Reserved);

end;


{===================== Level 2 API SQL Functions =================}

function SQLExtendedFetch(hstmt         : SQLHSTMT;
                           fFetchType   : SQLUSMALLINT;
                           iRow         : SQLINTEGER;
                           var pcrow        : SQLUINTEGER;
                           var rgfRowStatus : SQLUSMALLINT) : SQLRETURN;
begin

     Result := XSQLExtendedFetch(hstmt,fFetchType,irow,pcrow,
                                 rgfRowStatus);
end;



function SQLMoreResults(hstmt : SQLHSTMT): SQLRETURN;
begin

     Result := XSQLMoreResults(hstmt);
end;

function  SQLNativeSQL(hdbc          : SQLHDBC;
                       szSqlStrIn    : SQLCHARptr;
                       cbSqlStrIn    : SQLINTEGER;
                       szSqlStr      : SQLCHARptr;
                       cbSqlStrMax   : SQLINTEGER;
                       var pcbSqlStr : SQLINTEGER) : SQLRETURN;
begin

     Result := XSQLNativeSQL(hdbc,szSqlStrIn,cbSqlStrIn,szSqlStr,
                            cbSqlStrMax,pcbSqlStr);
end;

function SQLNumParams(hstmt : SQLHSTMT ; var pcpar : SQLSMALLINT)
                                     : SQLRETURN;
begin

     Result := XSQLNumParams(hstmt,pcpar);

end;


function  SQLProcedures(hstmt           : SQLHSTMT;
                        szCatalogName   : SQLCHARptr;
                        cbCatalogName   : SQLSMALLINT;
                        szSchemaName    : SQLCHARptr;
                        cbSchemaName    : SQLSMALLINT;
                        szProcName      : SQLCHARptr;
                        cbProcName      : SQLSMALLINT)
                        : SQLRETURN;
begin

     Result := XSQLProcedures(hstmt,szCatalogName,cbCatalogName,
                             szSchemaName,cbSchemaName,szProcName,
                             cbProcName);
end;

function SQLPrimaryKeys(hstmt         : SQLHSTMT;
                         szCatalogName : SQLCHARptr;
                         cbCatalogName : SQLSMALLINT;
                         szSchemaName  : SQLCHARptr;
                         cbSchemaName  : SQLSMALLINT;
                         szTableName   : SQLCHARptr;
                         cbTableName   : SQLSMALLINT): SQLRETURN;
begin

     Result := XSQLPrimaryKeys(hstmt,szCatalogName,cbCatalogName,
                              szSchemaName,cbSchemaName,szTableName,
                              cbTableName);
end;


function SQLSetScrollOptions(hstmt         : SQLHSTMT;
                              fConcurrency  : SQLUSMALLINT;
                              crowKeyset    : SQLINTEGER;
                              crowRowset    : SQLSMALLINT)
                              : SQLRETURN;
begin

     Result := XSQLSetScrollOptions(hstmt,fConcurrency,crowKeyset,
                                   crowRowset);
end;

function SQLTablePrivileges(hstmt         : SQLHSTMT;
                             szCatalogName : SQLCHARptr;
                             cbCatalogName : SQLSMALLINT;
                             szSchemaName  : SQLCHARptr;
                             cbSchemaName  : SQLSMALLINT;
                             szTableName   : SQLCHARptr;
                             cbTableName   : SQLSMALLINT)
                               : SQLRETURN;
begin

     Result := XSQLTablePrivileges(hstmt,szCatalogName,cbCatalogName,
               szSchemaName,cbSchemaName,szTableName,cbTableName);
end;



{==================== SetUp Functions =============================}

function ConfigDSN(hwndParent : hwnd; fRequest : WORD;
                   const lpszDriver : Pchar;
                   const lpszAttributes : PChar) : BOOL ;

begin

     Result := XConfigDSN(hwndParent,fRequest,lpszDriver,lpszAttributes);

end;



end.

