library DbClient;

uses

  DllMain in 'DLLMAIN.PAS' {Form1},
  Dconnect in 'DCONNECT.PAS' {ConnForm},
  Sockio in '..\COMMON\SOCKIO.PAS',
  Odbctype in '..\COMMON\ODBCTYPE.PAS',
  Odbc_api in '..\COMMON\ODBC_API.PAS',
  Configds in 'CONFIGDS.PAS' {configform};
var
OldExit : Pointer;

{$R *.RES}

exports

{---------------- Core Level API ----------------}

_SQLAllocEnv         name 'SQLAllocEnv',
_SQLAllocStmt        name 'SQLAllocStmt',
_SQLBindCol          name 'SQLBindCol',
_SQLCancel           name 'SQLCancel',
_SQLColAttributes    name 'SQLColAttributes',
_SQLDescribeCol      name 'SQLDescribeCol',
_SQLDisconnect       name 'SQLDisconnect',
_SQLError            name 'SQLError',
_SQLExecDirect       name 'SQLExecDirect',
{_SQLExecute          name 'SQLEXECUTE',}
_SQLfetch            name 'SQLFetch',
_SQLFreeConnect      name 'SQLFreeConnect',
_SQLFreeEnv          name 'SQLFreeEnv',
_SQLFreeStmt         name 'SQLFreeStmt',
_SQLGetCursorName    name 'SQLGetCursorName',
_SQLNumResultCols    name 'SQLNumResultCols',
{_SQLPrepare          name 'SQLPREPARE',}
_SQLRowCount         name 'SQLRowCount',
{_SQLSetCursorname    name 'SQLSETCURSORNAME',
_SQLSetParam         name 'SQLSETPARAM',}
_SQLTransact         name 'SQLTransact',
_SQLAllocConnect     name 'SQLAllocConnect',
_SQLConnect          name 'SQLConnect',


{---------------- Level 1 API -----------------}

_SQLGetFunctions     name 'SQLGetFunctions',
_SQLColumns          name 'SQLColumns',
_SQLDriverConnect    name 'SQLDriverConnect',
_SQLGetConnectOption name 'SQLGetConnectOption',
_SQLGetData          name 'SQLGetData',
_SQLGetInfo          name 'SQLGetInfo',
_SQLGetStmtOption    name 'SQLGetStmtOption',
_SQLGetTypeInfo      name 'SQLGetTypeInfo',
{_SQLParamData        name 'SQLPARAMDATA',
_SQLPutData          name 'SQLPUTDATA',}
_SQLSetConnectOption name 'SQLSetConnectOption',
_SQLSetStmtOption    name 'SQLSetStmtOption',
_SQLSpecialColumns   name 'SQLSpecialColumns',
_SQLStatistics       name 'SQLStatistics',
_SQLTables           name 'SQLTables',


{----------------- Level 2 API -----------------}
{
_SQLExtendedFetch    name 'SQLEXTENDEDFETCH',
_SQLMoreResults      name 'SQLMORERESULTS',
_SQLNativeSQL        name 'SQLNATIVESQL',
_SQLNumParams        name 'SQLNUMPARAMS',
_SQLProcedures       name 'SQLPROCEDURES',
_SQLPrimaryKeys      name 'SQLPRIMARYKEYS',
_SQLSetScrollOptions name 'SQLSETSCROLLOPTIONS',
_SQLTablePrivileges  name 'SQLTABLEPRIVILEGES',}

{----------------- SetUp Functions --------------}

_ConfigDSN           name 'ConfigDSN';



procedure LibExit; far;
begin

     ExitProc := OldExit;
     endproc;
end;


begin
OldExit := ExitProc;
ExitProc := @LibExit;
inifile := nil;
getmem(dataptr1,512);
getmem(dsnname,512);
Sockfd := TSocketIO.Create;
dsnconnect := false;
end.

